import { http } from '@/utils/http/axios';

/**
 * @description: 列表
 */
export function getOnlineList(params?) {
  return http.request({
    url: '/online/list',
    method: 'GET',
    params,
  });
}

/**
 * @description: 强退
 */
export function onlineOut(id) {
  return http.request({
    url: '/online/logout/' + id,
    method: 'DELETE',
  });
}

/**
 * @description: 批量删除
 */
export function dataSourceBatchDelete(data: any) {
  return http.request({
    url: '/data/source/batchDelete',
    method: 'DELETE',
    data,
  });
}
